diff a/core/pom.xml b/core/pom.xml
--- a/core/pom.xml
+++ b/core/pom.xml
@@ -42,10 +42,12 @@
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
 		<maven.compiler.source>1.7</maven.compiler.source>
 		<maven.compiler.target>1.7</maven.compiler.target>
 		<manifest-location>META-INF</manifest-location>
+		<spotless.version>1.26.0</spotless.version>
+		<spotless.config.path>${basedir}/../configuration/ide/eclipse/formatting/formatting.xml</spotless.config.path>
 	</properties>
 
 	<modules>
 		<module>org.openjdk.jmc.common</module>
 		<module>org.openjdk.jmc.flightrecorder</module>
@@ -80,10 +82,23 @@
 					<version>3.5.1</version>
 					<configuration>
 						<manifestLocation>${manifest-location}</manifestLocation>
 					</configuration>
 				</plugin>
+				<plugin>
+  				<groupId>com.diffplug.spotless</groupId>
+  					<artifactId>spotless-maven-plugin</artifactId>
+  					<version>${spotless.version}</version>
+  					<configuration>
+    				<java>
+      				<eclipse>
+        				<file>${spotless.config.path}</file>
+        				<version>4.8.0</version>
+      				</eclipse>
+    				</java>
+  				</configuration>
+				</plugin>
 			</plugins>
 		</pluginManagement>
 		<plugins>
 		<plugin>
 				<groupId>org.apache.maven.plugins</groupId>
